digiKam Developer Documentation: Digikam::FaceClassifier Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::FaceClassifier Class Reference
Inheritance diagram for Digikam::FaceClassifier:

## Signals
void | signalTrainingComplete ()
| Emitted when the training process is complete.

## Public Member Functions
void | cancel ()
int | predict (const cv::Mat &target, const QList< int > &exclusionLabelList=QList< int >()) const override
int | predict (const cv::UMat &target, const QList< int > &exclusionLabelList=QList< int >()) const override
bool | ready () const
bool | retrain () override
void | setParameters (const FaceScanSettings &parameters)
| Tunes backend parameters.
Public Member Functions inherited from Digikam::FaceClassifierBase
QList< int > | predictMulti (const QList< cv::Mat > &targets) const override
QList< int > | predictMulti (const QList< cv::UMat > &targets) const override
Public Member Functions inherited from Digikam::MLClassifierFoundation
void | setThreshold (float _threshold)

## Static Public Member Functions
static FaceClassifier * | instance ()

## Protected Member Functions
bool | loadTrainingData () override

## Protected Attributes
const float | MAX_DISTANCE = 1000.0F
| arbitrary max distance to start calculating distance.
Protected Attributes inherited from Digikam::MLClassifierFoundation
QReadWriteLock | lock
float | threshold = 0.0F

## Additional Inherited Members
Static Public Attributes inherited from Digikam::FaceClassifierBase
static const int | UNKNOWN_LABEL_ID = -1

## Member Function Documentation

## ◆ loadTrainingData()

bool Digikam::FaceClassifier::loadTrainingData | ( |  | ) |
| overrideprotectedvirtual

Implements Digikam::MLClassifierFoundation.

## ◆ predict() [1/2]

int Digikam::FaceClassifier::predict | ( | const cv::Mat & | target,
|  | const QList< int > & | exclusionLabelList = `QList<int>()`
| ) |  | const
| overridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ predict() [2/2]

int Digikam::FaceClassifier::predict | ( | const cv::UMat & | target,
|  | const QList< int > & | exclusionLabelList = `QList<int>()`
| ) |  | const
| overridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ retrain()

bool Digikam::FaceClassifier::retrain | ( |  | ) |
| overridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ setParameters()

void Digikam::FaceClassifier::setParameters | ( | const FaceScanSettings & | parameters | ) |

Available parameters:

"accuracy", synonymous: "threshold", range: 0-1, type: float Determines recognition threshold, 0->accept very insecure recognitions, 1-> be very sure about a recognition.

"recognizeModel" : sets the recognizer model used to instantiate the correct recognizer